Move scripts to bin/ directory

This commit is contained in:
2026-09-08 02:45:25 +08:00
parent 7afd4fdd0c
commit bdb089dee5
11 changed files with 0 additions and 0 deletions
+20
View File
@@ -0,0 +1,20 @@
#!/bin/bash
APP_DIR="$(dirname "$0")"
WINDOWS_MOUNT="$APP_DIR/windows-mount"
WSL_INTEROP_READY="$APP_DIR/wsl-interop-ready"
WSL_PATH="$APP_DIR/wsl-path"
DRIVE="$1"
if ! $WINDOWS_MOUNT >/dev/null; then
echo "Error: Windows not mounted" >&2
exit 1
fi
if ! $WSL_INTEROP_READY; then
echo "Error: WSL Interop not found in /run/WSL" >&2
exit 1
fi
WSL="$($WSL_PATH)"
$WSL --unmount "$DRIVE"